'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var utils = require('@emotion/utils');
var React = require('react');
var createCache = _interopDefault(require('@emotion/cache'));

var hydration = {
  shouldHydrate: false
};

if (utils.isBrowser) {
  hydration.shouldHydrate = !!document.querySelector('[data-more]');
}

function _set() {}

function _get() {
  return true;
}

if (process.env.NODE_ENV === 'test' || !utils.isBrowser) {
  // $FlowFixMe
  Object.defineProperty(hydration, 'shouldHydrate', {
    set: _set,
    get: _get
  });
} // $FlowFixMe


var CSSContext = React.createContext(null);
function consumer(instance, func) {
  return React.createElement(CSSContext.Consumer, null, function (context) {
    if (context === null) {
      if (instance.emotionCache === undefined) {
        instance.emotionCache = createCache();
      }

      return React.createElement(CSSContext.Provider, {
        value: instance.emotionCache
      }, func(instance.emotionCache));
    } else {
      return func(context);
    }
  });
}

exports.hydration = hydration;
exports.CSSContext = CSSContext;
exports.consumer = consumer;
//# sourceMappingURL=index.cjs.js.map
